using System;

namespace Finale
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(" ");
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int ostatak = (m * n) % 4;
            int minimum_redara;
            if (ostatak > 1)
            {
                minimum_redara = n * m - (m * n) / 4;
                Console.WriteLine(minimum_redara);
            }
            if (ostatak <= 1)
            {
                minimum_redara = n * m - (m * n) / 4 + 1;
                Console.WriteLine(minimum_redara);
            }
        }
    }
}